package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.Dynamic;
import com.ruoyi.xq.dto.admin.dynamic.DynamicAddReq;
import com.ruoyi.xq.dto.admin.dynamic.DynamicAdminVo;
import com.ruoyi.xq.dto.app.dynamic.AddDynamicReq;
import com.ruoyi.xq.dto.app.dynamic.DynamicListVo;
import com.ruoyi.xq.dto.app.dynamic.DynamicQuery;
import com.ruoyi.xq.dto.app.dynamic.MyDynamicListVo;

/**
 * 动态审核Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface DynamicService extends IService<Dynamic> {

    void push(AddDynamicReq req);

    Page<DynamicListVo> pageApp(PageQuery pageQuery, DynamicQuery dynamicQuery);

    Page<DynamicAdminVo> pageAdmin(PageQuery pageQuery, DynamicAdminVo bo);

    void auditSuccess(String ids);

    void auditFail(Long id, String auditRemark);

    Page<MyDynamicListVo> currentPage(PageQuery pageQuery);

    void removeDynamicOfApp(Long id);

    void saveDynamic(DynamicAddReq bo);
}
